<?php
/**
 * Created by PhpStorm.
 * User: z-yang
 * Date: 2018/12/12
 * Time: 10:35
 */

namespace App\Modules\User\Services;


use App\Modules\User\Models\WapReaderPageFission;

class WapReaderPageFissionService
{
    public static function create($uid,$bid,$distribution_channel_id,$type,$from_uid=0){
        $type = strtoupper($type);
        try{
            WapReaderPageFission::create(compact('uid','distribution_channel_id','type','bid','from_uid'));
        }catch (\Exception $e){}
    }

    public static function createV2($uid,$bid,$distribution_channel_id,$type,$from_uid,$cid){
        $type = strtoupper($type);
        try{
            WapReaderPageFission::create(compact('uid','distribution_channel_id','type','bid','from_uid','cid'));
        }catch (\Exception $e){}
    }
}